﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd
DATE:                  2018-09-06 08:47:15
AUTHOR:                Fluke
REVISION:              $Revision: 25079 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       202
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000 Series
#          TBS1022, TBS1042, TBS1062, TBS1064, TBS1102, TBS1104,
#		   TBS1152, TBS1154.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Subprocedures:
#      Sub Tek TBS1000 Select Channel VISA
#		 Sub Tek TBS1000 Trig Chk and Level Adj VISA
#
#  Required Files:
#      None
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         EXTERNAL EDGE-TRIGGER SENSITIVITY (CH [V @Chan])
  1.002  MATH         @Cmd = "*RST;HEADER OFF"
  1.003  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.004  JMPL         END                          @Abort
  1.005  CALL         Sub Tek TBS1000 Select Channel VISA

  1.006  IF           @Chan == 1
  1.007  RSLT         =
  1.008  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
  1.009  ENDIF

  1.010  RSLT         =
  1.011  RSLT         =Channel [V @Chan]

  1.012  IF           @Bandwidth == 25E+6
  1.013  MATH         FreqMHz = "25  MHz"
  1.014  ELSEIF       @Bandwidth == 40E+6
  1.015  MATH         FreqMHz = "40 MHz"
  1.016  ELSEIF       @Bandwidth == 60E+6
  1.017  MATH         FreqMHz = "60 MHz"
  1.018  ELSEIF       @Bandwidth == 100E+6
  1.019  MATH         FreqMHz = "100 MHz"
  1.020  ELSEIF       @Bandwidth == 150E+6
  1.021  MATH         FreqMHz = "150 MHz"
  1.022  ELSE
  1.023  DISP         @Bandwidth = [V @Bandwidth] is not supported!
  1.024  MATH         @Abort = 1
  1.025  JMPL         END                          @Abort
  1.026  ENDIF

  1.027  TARGET

  1.028  IF           @IsMultiHead == 2
  1.029  DISP         Connect the 9500 to the DUT as follows:
  1.029  DISP         [32] CH 1 Active Head to DUT CH [V @Chan]
  1.029  DISP         [32] CH 2 Active Head to DUT EXT TRIG
  1.030  ELSEIF       @IsMultiHead == 4

  1.031  IF           NOT(@Chan == 4) && @ConnDisp
  1.032  DISP         Connect the 9500 to the DUT as follows:
  1.032  DISP         [32] CH 1 Active Head to DUT CH 1
  1.032  DISP         [32] CH 2 Active Head to DUT CH 2
  1.032  DISP         [32] CH 3 Active Head to DUT CH 3
  1.032  DISP         [32] CH 4 Active Head to DUT EXT TRIG
  1.033  ELSEIF       @Chan == 4
  1.034  DISP         Connect CH 1 Active Head to DUT CH 4
  1.035  ENDIF

  1.036  ENDIF

  1.037  HEAD         -2 Rising Slope, 200 mVpp at [V FreqMHz]
  1.038  VISA         CH[V @Chan]:PRO 1;SCA 100E-3
  1.039  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.040  JMPL         END                          @Abort
  1.041  VISA         HOR:SCA 10E-9
  1.042  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.043  JMPL         END                          @Abort
  1.044  VISA         TRIG:MAI:MOD NORM
  1.045  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.046  JMPL         END                          @Abort
  1.047  VISA         TRIG:MAI:EDGE:SOU EXT
  1.048  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.049  JMPL         END                          @Abort
  1.050  VISA         ACQ:MOD SAMP;STATE ON
  1.051  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.052  JMPL         END                          @Abort
  1.053  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  1.054  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.055  JMPL         END                          @Abort

# First Set the output of the calibrator so the peak-to-peak measurement is
# approximately 400 mV.
  1.056  MATH         MEM = 400; MEM1 = MEM

  1.057  DO
  1.058  MATH         MEM = MEM1 + (400 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.059  IF           MEM > 2780 || MEM < 4.44
  1.060  DISP         Calibrator limit reached and DUT measurement is
  1.060  DISP         not 400±8 mVpp.
  1.060  DISP
  1.060  DISP         Check connections and press Advance to try again.
  1.061  MATH         MEM = 400
  1.062  ENDIF

  1.063  9500         mVpp                         10MH           LS    S
  1.064  VISA         TRIG:MAI SETL
  1.065  CALL         Sub Tek TBS1000 Wait for OPC VISA
  1.066  JMPL         END                          @Abort
  1.067  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  1.068  MATH         MEM = MEM / 1E-3
  1.069  UNTIL        (MEM >= 392) && (MEM <= 408)

# Then attenuate the output of calibrator to half so the input of DUT is
# approximately 200 mVpp that is just the required test signal for external
# trig sensitivity.
  1.070  MATH         MEM = MEM1 / 2

  1.071  IF           @Bandwidth == 25E+6
  1.072  9500         mVpp                         25MH           LS    S
  1.073  ELSEIF       @Bandwidth == 40E+6
  1.074  9500         mVpp                         40MH           LS    S
  1.075  ELSEIF       @Bandwidth == 60E+6
  1.076  9500         mVpp                         60MH           LS    S
  1.077  ELSEIF       @Bandwidth == 100E+6
  1.078  9500         mVpp                         100MH          LS    S
  1.079  ELSEIF       @Bandwidth == 150E+6
  1.080  9500         mVpp                         150MH          LS    S
  1.081  ENDIF

  1.082  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
  1.083  MATH         @PeakValue = mVppStd / 2 * 1E-3
  1.084  CALL         Sub Tek TBS1000 Trig Chk and Level Adj VISA
  1.085  MATH         RsltStr = " Rising Slope, 200 mVpp at " & FreqMHz
  1.086  EVAL   -e @Triggered : [V RsltStr]

  2.001  HEAD         -2 Falling Slope, 200 mVpp at [V FreqMHz]
  2.002  MATH         MEM = mVppStd

  2.003  IF           @Bandwidth == 25E+6
  2.004  9500         mVpp                         25MH           LS    S
  2.005  ELSEIF       @Bandwidth == 40E+6
  2.006  9500         mVpp                         40MH           LS    S
  2.007  ELSEIF       @Bandwidth == 60E+6
  2.008  9500         mVpp                         60MH           LS    S
  2.009  ELSEIF       @Bandwidth == 100E+6
  2.010  9500         mVpp                         100MH          LS    S
  2.011  ELSEIF       @Bandwidth == 150E+6
  2.012  9500         mVpp                         150MH          LS    S
  2.013  ENDIF

  2.014  VISA         TRIG:MAI:EDGE:SLO FALL
  2.015  CALL         Sub Tek TBS1000 Wait for OPC VISA
  2.016  JMPL         END                          @Abort
  2.017  CALL         Sub Tek TBS1000 Trig Chk and Level Adj VISA
  2.018  MATH         RsltStr = " Falling Slope, 200 mVpp at " & FreqMHz
  2.019  EVAL   -e @Triggered : [V RsltStr]

  3.001  LABEL        END
  3.002  HEAD         -2
  3.003  HEAD
  3.004  9500         *                                                 S
  3.005  END
